Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/AvailablePluginsView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/BasicUpdateView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConfirmationDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/ConnectionSetupView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/AdminServiceClientFactory.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/AdminServiceClientFactory.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/AdminServiceClientFactory.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentServerCertificateValidator.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentServerCertificateValidator.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/DeploymentServerCertificateValidator.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/UpdateServiceClientFactory.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/UpdateServiceClientFactory.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/DeploymentService/UpdateServiceClientFactory.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/EditProductsView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/IStatusDisplay.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/IStatusDisplay.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/IStatusDisplay.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerControl.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerException.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerException.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerException.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstallationManagerForm.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using System.Diagnostics;
 using System.IO;
 using System.Linq;
@@ -36,5 +37,6 @@
       : base() {
       InitializeComponent();
-      Text = "HeuristicLab Plugin Manager " + AssemblyHelpers.GetFileVersion(GetType().Assembly);
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
+      Text = "HeuristicLab Plugin Manager " + pluginInfrastructureVersion.FileVersion;
 
       pluginManager.PluginLoaded += pluginManager_PluginLoaded;
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/InstalledPluginsView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseConfirmationDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/LicenseView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/MultiSelectListView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginUpdaterForm.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.ComponentModel;
+using System.Diagnostics;
 using System.IO;
 using System.Linq;
@@ -38,5 +39,6 @@
       : base() {
       InitializeComponent();
-      Text = "HeuristicLab Plugin Manager " + AssemblyHelpers.GetFileVersion(GetType().Assembly);
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
+      Text = "HeuristicLab Plugin Manager " + pluginInfrastructureVersion.FileVersion;
       pluginManager.PluginLoaded += pluginManager_PluginLoaded;
       pluginManager.PluginUnloaded += pluginManager_PluginUnloaded;
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/PluginView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/UploadPluginsView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/Util.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/Util.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Advanced/Util.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ApplicationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ApplicationManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ApplicationManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/AssemblyHelpers.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/AssemblyHelpers.cs	(revision 11202)
+++ 	(revision )
@@ -1,55 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Reflection;
-
-namespace HeuristicLab.PluginInfrastructure {
-  public static class AssemblyHelpers {
-    //Based on the code from http://stackoverflow.com/a/7156425
-    public static string GetCustomAttributeValue<T>(Assembly assembly, string propertyName)
-       where T : Attribute {
-      if (assembly == null || string.IsNullOrEmpty(propertyName)) {
-        throw new ArgumentException("Arguments are not allowed to be null.");
-      }
-
-      object[] attributes = assembly.GetCustomAttributes(typeof(T), false);
-      if (attributes.Length == 0) {
-        throw new InvalidOperationException(string.Format("No attributes of type {0} found in assembly {1}", typeof(T).Name,
-          assembly.FullName));
-      }
-
-      var attribute = (T)attributes[0];
-      var propertyInfo = attribute.GetType().GetProperty(propertyName);
-      if (propertyInfo == null) {
-        throw new InvalidOperationException(string.Format("No property {0} found in attribute {1}, assembly: {2}",
-          propertyName, typeof(T).Name, assembly.FullName));
-      }
-
-      var value = propertyInfo.GetValue(attribute, null);
-      return value.ToString();
-    }
-
-    public static string GetFileVersion(Assembly assembly) {
-      return GetCustomAttributeValue<AssemblyFileVersionAttribute>(assembly, "Version");
-    }
-  }
-}
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/ApplicationAttribute.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/ApplicationAttribute.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/ApplicationAttribute.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/ContactInformationAttribute.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/ContactInformationAttribute.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/ContactInformationAttribute.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/NonDiscoverableTypeAttribute.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/NonDiscoverableTypeAttribute.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/NonDiscoverableTypeAttribute.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginAttribute.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginAttribute.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginAttribute.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginDependencyAttribute.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginDependencyAttribute.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginDependencyAttribute.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginFileAttribute.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginFileAttribute.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Attributes/PluginFileAttribute.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/BaseClasses/ApplicationBase.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/BaseClasses/ApplicationBase.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/BaseClasses/ApplicationBase.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/BaseClasses/PluginBase.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/BaseClasses/PluginBase.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/BaseClasses/PluginBase.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/HideStarterArgument.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/HideStarterArgument.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/HideStarterArgument.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/OpenArgument.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/OpenArgument.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/OpenArgument.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/StartArgument.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/StartArgument.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/Arguments/StartArgument.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/CommandLineArgument.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/CommandLineArgument.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/CommandLineArgument.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/CommandLineArgumentHandling.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/CommandLineArgumentHandling.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/CommandLineArgumentHandling.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/ICommandLineArgument.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/ICommandLineArgument.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/CommandLineArgumentHandling/ICommandLineArgument.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ControlManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ControlManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ControlManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/DefaultApplicationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/DefaultApplicationManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/DefaultApplicationManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorHandling.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorHandling.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/ErrorHandling.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using System.Diagnostics;
 using System.Windows.Forms;
 
@@ -30,5 +31,5 @@
       } else {
         string message =
-          "HeuristicLab version: " + AssemblyHelpers.GetFileVersion(typeof(ErrorHandling).Assembly) + Environment.NewLine +
+          "HeuristicLab version: " + FileVersionInfo.GetVersionInfo(typeof(ErrorHandling).Assembly.Location).FileVersion + Environment.NewLine +
           exception.GetType().Name + ": " + exception.Message + Environment.NewLine +
                          exception.StackTrace;
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/FrameworkVersionErrorDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/FrameworkVersionErrorDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/FrameworkVersionErrorDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
-* Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+* Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/FrameworkVersionErrorDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/FrameworkVersionErrorDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/ErrorHandling/FrameworkVersionErrorDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/HeuristicLab.PluginInfrastructure-3.3.csproj
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/HeuristicLab.PluginInfrastructure-3.3.csproj	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/HeuristicLab.PluginInfrastructure-3.3.csproj	(revision 11203)
@@ -215,5 +215,4 @@
       <DependentUpon>PluginView.cs</DependentUpon>
     </Compile>
-    <Compile Include="AssemblyHelpers.cs" />
     <Compile Include="CommandLineArgumentHandling\Arguments\OpenArgument.cs" />
     <Compile Include="CommandLineArgumentHandling\Arguments\HideStarterArgument.cs" />
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplication.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplication.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplication.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplicationDescription.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplicationDescription.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplicationDescription.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplicationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplicationManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IApplicationManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IControlManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IControlManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IControlManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPlugin.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPlugin.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPlugin.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPluginDescription.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPluginDescription.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPluginDescription.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPluginFile.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPluginFile.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Interfaces/IPluginFile.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/InvalidPluginException.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/InvalidPluginException.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/InvalidPluginException.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/LightweightApplicationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/LightweightApplicationManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/LightweightApplicationManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Main.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Main.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Main.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/ApplicationDescription.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/ApplicationDescription.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/ApplicationDescription.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginDescription.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginDescription.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginDescription.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginFile.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginFile.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginFile.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureCancelEventArgs.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureCancelEventArgs.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureCancelEventArgs.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureEventArgs.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureEventArgs.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureEventArgs.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginValidator.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginValidator.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginValidator.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/PluginDescriptionIterator.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/PluginDescriptionIterator.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/PluginDescriptionIterator.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/PluginState.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/PluginState.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/PluginState.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/AssemblyInfo.cs.frame	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Properties/AssemblyInfo.cs.frame	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -34,5 +34,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -56,3 +56,3 @@
 //
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/SandboxApplicationManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/SandboxApplicationManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/SandboxApplicationManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Sandboxing/SandboxManager.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Sandboxing/SandboxManager.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Sandboxing/SandboxManager.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/AboutDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/AboutDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/AboutDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/AboutDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/AboutDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/AboutDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using System.Diagnostics;
 using System.Linq;
 using System.Reflection;
@@ -79,5 +80,6 @@
 
     private string GetVersion() {
-      return AssemblyHelpers.GetFileVersion(GetType().Assembly);
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
+      return pluginInfrastructureVersion.FileVersion;
     }
 
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/SplashScreen.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/SplashScreen.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/SplashScreen.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/SplashScreen.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/SplashScreen.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/SplashScreen.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using System.Diagnostics;
 using System.Linq;
 using System.Reflection;
@@ -44,5 +45,6 @@
       RegisterPluginManagerEventHandlers();
 
-      versionLabel.Text = "Version " + AssemblyHelpers.GetFileVersion(GetType().Assembly);
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
+      versionLabel.Text = "Version " + pluginInfrastructureVersion.FileVersion;
       infoLabel.Text = "";
 
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/Starter/StarterForm.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using System.Diagnostics;
 using System.IO;
 using System.Linq;
@@ -59,5 +60,6 @@
       smallImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.HeuristicLab.ToBitmap());
       smallImageList.Images.Add(HeuristicLab.PluginInfrastructure.Resources.UpdateAvailable.ToBitmap());
-      Text = "HeuristicLab " + AssemblyHelpers.GetFileVersion(GetType().Assembly);
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
+      Text = "HeuristicLab " + pluginInfrastructureVersion.FileVersion;
 
       string pluginPath = Path.GetFullPath(Application.StartupPath);
@@ -202,7 +204,8 @@
 
     private void AddPluginManagerItem() {
+      FileVersionInfo pluginInfrastructureVersion = FileVersionInfo.GetVersionInfo(GetType().Assembly.Location);
       pluginManagerListViewItem = new ListViewItem(pluginManagerItemName, 0);
       pluginManagerListViewItem.Group = applicationsListView.Groups["Plugin Management"];
-      pluginManagerListViewItem.SubItems.Add(new ListViewItem.ListViewSubItem(pluginManagerListViewItem, AssemblyHelpers.GetFileVersion(GetType().Assembly)));
+      pluginManagerListViewItem.SubItems.Add(new ListViewItem.ListViewSubItem(pluginManagerListViewItem, pluginInfrastructureVersion.FileVersion));
       pluginManagerListViewItem.SubItems.Add(new ListViewItem.ListViewSubItem(pluginManagerListViewItem, "Install, upgrade or delete plugins"));
       pluginManagerListViewItem.ToolTipText = "Install, upgrade or delete plugins";
Index: branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/TypeExtensions.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/TypeExtensions.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.PluginInfrastructure/3.3/TypeExtensions.cs	(revision 11203)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
